Voxbi Cockpit APIs
All endpoints

Send a push notification to a device

Creates a new push notification notify device. Validation rules and required fields are defined in the request body schema below.

HTTP: PbxServerAuth

Auth for Pbx server

HTTP Authorization Scheme
bearer
Bearer format
Bearer <token>
accept header · string
example: application/json

Request body · required

Request schema
tokenstring
Device push notification token
example: ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]
titlestring
Notification title
example: Incoming Call
bodystring
Notification body
example: John Doe is calling you
dataobject
Additional notification payload data
Free-form object

Responses

Response schema
statusstring
messagestring
Authorization Token Missing. This error is returned when the authorization token is missing.
Response schema
errorstring
Error message
example: Authorization Token is missing
Unprocessable Parameters. This error is returned when a parameter is not valid.
Response schema
messagestring
example: The given data was invalid.
errorsobject
filterarray<string>
[]string
sortarray<string>
[]string
pagearray<string>
[]string
per_pagearray<string>
[]string
Server error. An unexpected condition was encountered on the server and the request could not be completed. The body is a generic JSON envelope with a `message` field. The response is logged on the server side; quote the request URL + timestamp when reporting an issue.
Response schema
messagestring
exceptionstring
Only present in non-production environments.
filestring
Only present in non-production environments.
lineinteger
Only present in non-production environments.
post https://cockpit.voxbi.com/api/v1/notify-device
Base URL
Request sample
curl -X POST 'https://cockpit.voxbi.com/api/v1/notify-device' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  --data '{"token":"ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]","title":"Incoming Call","body":"John Doe is calling you"}'
const response = await fetch('https://cockpit.voxbi.com/api/v1/notify-device', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${YOUR_TOKEN}`,
  },
  body: JSON.stringify({
    "token": "ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]",
    "title": "Incoming Call",
    "body": "John Doe is calling you"
}),
});

const data = await response.json();
console.log(data);
import requests

response = requests.post('https://cockpit.voxbi.com/api/v1/notify-device',
    headers={'Authorization': f'Bearer {YOUR_TOKEN}'},
    json={
    "token": "ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]",
    "title": "Incoming Call",
    "body": "John Doe is calling you"
}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
    'http' => [
        'method'  => 'POST',
        'header'  => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
        'content' => '{
    \"token\": \"ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]\",
    \"title\": \"Incoming Call\",
    \"body\": \"John Doe is calling you\"
}',
    ],
]);

$response = file_get_contents('https://cockpit.voxbi.com/api/v1/notify-device', false, $context);
$data = json_decode($response, true);
print_r($data);
Sample request
{}
"token": "ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]",
"title": "Incoming Call",
"body": "John Doe is calling you"
}
{}
"status": "success",
"message": "Notification sent."
}
Host string
example: cockpit.voxbi.com
Date string
example: Mon, 16 Oct 2023 14:08:48 GMT
Connection string
example: close
Cache-Control string
example: no-cache, private
Content-Type string
example: application/json
X-RateLimit-Limit integer
example: 60
X-RateLimit-Remaining integer
example: 59
Vary string
example: Origin
{}
"error": "Authorization Token is missing"
}
Cache-Control string
example: private, must-revalidate
Connection string
example: keep-alive
Content-Type string
example: application/json
Vary string
example: Origin
X-RateLimit-Limit integer
Max requests allowed in the current rate-limit window.
example: 60
X-RateLimit-Remaining integer
Requests remaining in the current rate-limit window.
example: 57
{}
"errors": {}
"filter": [],
"The filter field must be an array."
],
"sort": [],
"The sort field must be a string."
],
"page": [],
"The page field must be an integer."
],
"per_page": []
"The per page field must be an integer."
]
}
}
Cache-Control string
example: private, must-revalidate
Connection string
example: keep-alive
Content-Type string
example: application/json
Vary string
example: Origin
X-RateLimit-Limit integer
Max requests allowed in the current rate-limit window.
example: 60
X-RateLimit-Remaining integer
Requests remaining in the current rate-limit window.
example: 57
{}
"message": "Server Error"
}